<?php
/**
 * @package Wapple_Architect
 * @subpackage WAPL Theme
 */
include_once('functions.php');
$waplString = get_wapl_header();
$wapl = new WordPressWapl;

// Posts per page
$posts_per_page = get_option('posts_per_page');
$option_posts_per_page = get_option('architect_home_posts_per_page');
if($option_posts_per_page)
{
	$posts_per_page = $option_posts_per_page;
}

global $wp_query;
query_posts(
	array_merge(
		array('showposts' => $posts_per_page),
		$wp_query->query
	)
);

if(have_posts())
{
	if(isset($posts[0]))$post = $posts[0];
	if(is_category())
	{
		if($archiveText = get_option('architect_archive_cattext'))
		{
			$text = architect_replace_tag('<category>', single_cat_title('', false), stripslashes($archiveText));
		} else
		{
			$text = 'Archive for the &#8216;'.single_cat_title('', false).'&#8217; Category';
		}
	} else if(is_tag())
	{
		if($archiveText = get_option('architect_archive_tagtext'))
		{
			$text = architect_replace_tag('<tag>', single_tag_title('', false), stripslashes($archiveText));
		} else
		{
			$text = 'Posts Tagged &#8216;'.single_tag_title('', false).'&#8217;';
		}
	} else if(is_day())
	{
		if($archiveText = get_option('architect_archive_datetext'))
		{
			$text = stripslashes($archiveText).' '.get_the_time('F jS, Y');
		} else
		{
			$text = 'Archive for '.get_the_time('F jS, Y');
		}
	} else if(is_month())
	{
		if($archiveText = get_option('architect_archive_datetext'))
		{
			$text = stripslashes($archiveText).' '.get_the_time('F, Y');
		} else
		{
			$text = 'Archive for '.get_the_time('F, Y');
		}
	} else if(is_year())
	{
		if($archiveText = get_option('architect_archive_datetext'))
		{
			$text = stripslashes($archiveText).' '.get_the_time('Y');
		} else
		{
			$text = 'Archive for '.get_the_time('Y');
		}
	} else if(is_author())
	{
		if($archiveText = get_option('architect_archive_authortext'))
		{
			$text = stripslashes($archiveText);
		} else
		{
			$text = 'Author Archive';
		}
	} else if(isset($_GET['paged']) && !empty($_GET['paged']))
	{
		if($archiveText = get_option('architect_archive_blogarchivetext'))
		{
			$text = stripslashes($archiveText);
		} else
		{
			$text = 'Blog Archives';
		}
	} else
	{
		$text = '';
	}
	$waplString .= $wapl->chunk('words', array('class' => 'entry_row pagetitle', 'display_as' => 'h2', 'quick_text' => $text));
	
	// display navigation
	$navString = '<wordsChunk class="navigation archiveNavigation"><quick_text>';
	$emptyCell = true;
	
	if(get_option('architect_single_showhome'))
	{
		$emptyCell = false;
		
		if(!$homeLink = get_option('architect_archive_hometext'))
		{
			$homeLink = 'Home';
		}
		$navString .= '[url='.htmlspecialchars(get_option('home')).']'.stripslashes($homeLink).'[/url]';
	}
	
	// Older entries
	if(function_exists('get_next_posts_link'))
	{
		if(get_next_posts_link())
		{
			if(!$olderEntriesLink = get_option('architect_archive_olderentriestext'))
			{
				$olderEntriesLink = 'Older Entries';
			}
			if($emptyCell == false)
			{
				$navString .= ' | ';
			}
			$navString .= '[url='.htmlspecialchars(str_replace('&#038;', '&', next_posts(0, false))).']'.stripslashes($olderEntriesLink).'[/url]';
			
			$emptyCell = false;
		}
	} else if(function_exists('get_next_posts_page_link'))
	{
		if(!$olderEntriesLink = get_option('architect_archive_olderentriestext'))
		{
			$olderEntriesLink = 'Older Entries';
		}
		if($emptyCell == false)
		{
			$navString .= ' | ';
		}
		$navString .= '[url='.htmlspecialchars(str_replace('&#038;', '&', get_next_posts_page_link($max_page))).']'.stripslashes($olderEntriesLink).'[/url]';
		$emptyCell = false;
	}

	// Newer entries
	if(function_exists('get_previous_posts_link'))
	{
		if(get_previous_posts_link())
		{
			if(!$newerEntriesLink = get_option('architect_archive_newerentriestext'))
			{
				$newerEntriesLink = 'Newer Entries';
			}
			
			if($emptyCell == false)
			{
				$navString .= ' | ';
			}
			$navString .= '[url='.htmlspecialchars(str_replace('&#038;', '&', previous_posts(0, false))).']'.stripslashes($newerEntriesLink).'[/url]';
			$emptyCell = false;
		}
	} else if(function_exists('get_previous_posts_page_link'))
	{
		if(!$newerEntriesLink = get_option('architect_archive_newerentriestext'))
		{
			$newerEntriesLink = 'Newer Entries';
		}
		
		if($emptyCell == false)
		{
			$navString .= ' | ';
		}
		$navString .= '[url='.htmlspecialchars(str_replace('&#038;', '&', get_previous_posts_page_link())).']'.stripslashes($newerEntriesLink).'[/url]';
		$emptyCell = false;
	}

	$navString .= '</quick_text></wordsChunk>';

	$waplString .= $navString;
	
	while(have_posts())
	{
		the_post();

		$architect_home_showfirstimage = get_option('architect_home_firstimage');
		if($architect_home_showfirstimage)
		{
			$doRow = false;
			$waplString .= '<row class="entry_row h2">';
		} else
		{
			$doRow = true;
		}
		
		// Title
		$excerptOrig = get_the_excerpt();
		$waplString .= $wapl->link(array('row' => $doRow, 'rowClass' => 'entry_row h2', 'display_as' => 'h2', 'label' => architectCharsOther(get_the_title()), 'url' => htmlspecialchars(apply_filters('the_permalink', get_permalink()))));
		
		if($architect_home_showfirstimage)
		{
			$homepagescale = ARCHITECT_HOME_IMAGESCALE;
			$getVal = get_option('architect_home_imagescale');
			if($getVal)
			{
				$homepagescale = $getVal;
			}
			$homepagequality = ARCHITECT_HOME_IMAGEQUALITY;
			$getVal = get_option('architect_home_imagequality');
			if($getVal)
			{
				$homepagequality = $getVal;
			}
			
			global $more;
			$more = 1;
			$excerptImg = get_the_content();
			
			require_once('simple_html_dom.php');
			// Get first image in post
			$src = str_get_html($excerptImg);
			$firstImageAll = $src->find("img");
			foreach($firstImageAll as $val)
			{
				if(doScaleImage($val->class))
				{
					$firstImage = $val;
					break;
				}
			}
			
			if($firstImage)
			{
				$waplString .= $wapl->image(array('row' => false, 'cellClass' => 'homePageImage', 'url' => $firstImage->src, 'filetype' => substr($firstImage->src,-3), 'scale' => $homepagescale, 'quality' => $homepagequality, 'transcol' => get_option('architect_home_transcol')));
			}
		}
		
		if($architect_home_showfirstimage)
		{
			$waplString .= '</row>';
		}		
		
		if(get_option('architect_home_showdate'))
		{
			$waplString .= $wapl->chunk('words', array('class' => 'post-date', 'quick_text' => apply_filters('the_time', get_the_time('F jS, Y'), 'F jS, Y')));
		}
	}

	// Navigation at the bottom as well as the top
	$waplString .= $navString;
	
} else
{
	if ( is_category() ) 
	{ 
		// If this is a category archive
		if($notext = get_option('architect_archive_nocattext'))
		{
			$notext = architect_replace_tag('<category>', single_cat_title('', false), stripslashes($notext));
		} else
		{
			$notext = 'Sorry, but there aren\'t any posts in the '.single_cat_title('',false).' category yet.';
		} 
		$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => stripslashes($notext)));
	} else if ( is_date() ) 
	{ 
		// If this is a date archive
		if(!$notext = get_option('architect_archive_nodatetext'))
		{
			$notext = 'Sorry, but there aren\'t any posts with this date.';
		}
		$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => stripslashes($notext)));
	} else if ( is_author() ) 
	{ 
		// If this is a category archive
		$userdata = get_userdatabylogin(get_query_var('author_name'));
		if($notext = get_option('architect_archive_noauthortext'))
		{
			$notext = architect_replace_tag('<author>', $userdata->display_name, stripslashes($notext));
		} else
		{
			$notext = 'Sorry, but there aren\'t any posts by '.$userdata->display_name.' yet.';
		}
		$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => $notext));
	} else 
	{
		if(!$notext = get_option('architect_archive_nopoststext'))
		{
			$notext = 'No posts found';
		}
		$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => stripslashes($notext)));
	}
}
$waplString .= get_wapl_footer();
process_wapl($waplString);
?>